LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDictionaryListEventListener Interface Referencepublished

This interfaces allows the object to act according to dictionary-list events. More...

`import"XDictionaryListEventListener.idl";`

Inheritance diagram for XDictionaryListEventListener:

## Public Member Functions
void | processDictionaryListEvent ([in] com::sun::star::linguistic2::DictionaryListEvent aDicListEvent)
| is used to notify the object about dictionary-list events. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interfaces allows the object to act according to dictionary-list events.

This interface is the base class for all dictionary-list event listeners. Its single function will be called by the broadcasting dictionary-list in order to notify its registered listeners.

See also
  com::sun::star::linguistic2::DictionaryListEvent
  com::sun::star::linguistic2::XDictionaryList

## Member Function Documentation

## ◆ processDictionaryListEvent()

void processDictionaryListEvent | ( | [in] com::sun::star::linguistic2::DictionaryListEvent | aDicListEvent | ) |

is used to notify the object about dictionary-list events.

Parameters

  aDicListEvent | the event to be notified of.

See also
  com::sun::star::linguistic2::DictionaryListEvent

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XDictionaryListEventListener.idl